Bug 1035541

Summary: Anaconda installs Yaboot instead of GRUB2 on Apple Powermac G5
Product: [Fedora] Fedora Reporter: Ronald Maas <rmaas>
Component: anacondaAssignee: Anaconda Maintenance Team <anaconda-maint-list>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: unspecified    
Version: 20CC: anaconda-maint-list, dshea, g.kaviyarasu, gustavold, hamzy, jonathan, mnewsome, rmaas, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: ppc64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-06-29 13:14:55 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1071880    
Attachments:
Description Flags
Anaconda log files none

Description Ronald Maas 2013-11-28 03:26:52 UTC
Description of problem:
Anaconda installs Yaboot on hard drive of PowerMac G5. Based on the bug report https://bugzilla.redhat.com/show_bug.cgi?id=998030 I was expecting that Anaconda installs GRUB2 to boot Fedora 20

Version-Release number of selected component (if applicable):
Fedora 20 beta PPC64

How reproducible:
Every time

Steps to Reproduce:
1. Install Fedora 20 beta using the procedure outlined in https://bugzilla.redhat.com/show_bug.cgi?id=1020112#c11 step 1 to 4
2. Reboot computer after Anaconda completes installation

Actual results:
Computer boots Fedora 20 from hard drive using Yaboot

Expected results:
Computer boots Fedora 20 from hard drive using GRUB2

Additional info:
Powermac G5 (late 2005)
Dual core 2 GHz
4.25 GB RAM
500 MB SATA
nVidia 7800 GT

Comment 1 David Shea 2014-02-28 23:00:54 UTC
Can you attach the log files from the installation? They are located in /var/log/anaconda of the installed system, or in /tmp while the installer is running.

Comment 2 Ronald Maas 2014-03-03 06:06:54 UTC
Created attachment 869773 [details]
Anaconda log files

As requested

Comment 3 David Shea 2015-04-14 18:54:58 UTC
*** Bug 1175526 has been marked as a duplicate of this bug. ***

Comment 4 Fedora End Of Life 2015-05-29 09:52:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-06-29 13:14:55 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.